const system = require("../../system");
const settings = require("../../../config/settings");
const uiconfig = system.getUiConfig2(settings.wxconfig.appId);
module.exports = (db, DataTypes) => {
    return db.define("busistat", {
        busi_id: DataTypes.STRING,
        stat_day: DataTypes.INTEGER,
        busi_name: DataTypes.STRING,
        user_name: DataTypes.STRING,
        user_mobile: DataTypes.STRING,
        user_department_name: DataTypes.STRING(64),
        times: DataTypes.INTEGER,
        trans_amt : DataTypes.BIGINT,
        amt : DataTypes.BIGINT,
        actual_amt : DataTypes.BIGINT,
        deduct_amt : DataTypes.BIGINT,
        income_tax : DataTypes.BIGINT,
        service_tax : DataTypes.BIGINT,
        added_value_tax : DataTypes.BIGINT,
    }, {
        paranoid: true, //假的删除
        underscored: true,
        version: true,
        freezeTableName: true,
        //freezeTableName: true,
        // define the table's name
        tableName: 'c_busi_stat',
        validate: {

        },
        indexes: [
            // Create a unique index on email
            //  {
            //    unique: true,
            //    fields: ['email']
            //  },
            //
            //  // Creates a gin index on data with the jsonb_path_ops operator
            //  {
            //    fields: ['data'],
            //    using: 'gin',
            //    operator: 'jsonb_path_ops'
            //  },
            //
            //  // By default index name will be [table]_[fields]
            //  // Creates a multi column partial index
            //  {
            //    name: 'public_by_author',
            //    fields: ['author', 'status'],
            //    where: {
            //      status: 'public'
            //    }
            //  },
            //
            //  // A BTREE index with a ordered field
            //  {
            //    name: 'title_index',
            //    method: 'BTREE',
            //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
            //  }
        ]
    });
}
